Package com.databricks.jdbc.dbclient.impl.common

## Class CrossReferenceKeysDatabricksResultSetAdapter

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.ImportedKeysDatabricksResultSetAdapter
  - - com.databricks.jdbc.dbclient.impl.common.CrossReferenceKeysDatabricksResultSetAdapter

    public class CrossReferenceKeysDatabricksResultSetAdapter
    extends ImportedKeysDatabricksResultSetAdapter

Implementation of `IDatabricksResultSetAdapter` for processing the result set of the `DatabaseMetaData.getCrossReference(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)`.

### Field Summary

### Fields inherited from class com.databricks.jdbc.dbclient.impl.common.ImportedKeysDatabricksResultSetAdapter

`FOREIGN_KEY_NAME_COLUMN, PARENT_CATALOG_NAME, PARENT_NAMESPACE_NAME, PARENT_TABLE_NAME`

### Constructor Summary

Constructors
`CrossReferenceKeysDatabricksResultSetAdapter​(String targetParentCatalogName, String targetParentNamespaceName, String targetParentTableName)`

### Method Summary

All Methods Instance Methods Concrete Methods Default Methods
`boolean` `includeRow​(ResultSet resultSet, List<ResultColumn> columns)`
`default Object` `transformValue​(ResultColumn column, Object value)` Optional method to transform a value after it's retrieved from the result set.

### Methods inherited from class com.databricks.jdbc.dbclient.impl.common.ImportedKeysDatabricksResultSetAdapter

`mapColumn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrossReferenceKeysDatabricksResultSetAdapter

    public CrossReferenceKeysDatabricksResultSetAdapter​(String targetParentCatalogName,
                                                        String targetParentNamespaceName,
                                                        String targetParentTableName)

### Method Detail

#### includeRow

    public boolean includeRow​(ResultSet resultSet,
                              List<ResultColumn> columns)
                       throws SQLException

Returns true if the row's parent catalog, schema, and table name matches the expected parent values.

Overrides:
  `includeRow` in class `ImportedKeysDatabricksResultSetAdapter`
Throws:
  `SQLException`

#### transformValue

    public default Object transformValue​(ResultColumn column,
                                         Object value)

Optional method to transform a value after it's retrieved from the result set.

Parameters:
  `column` - The column definition
  `value` - The value retrieved from the result set
Returns:
  The potentially transformed value